# $Revision: 1.228.2.3 $, $Date: 2006/11/08 22:56:08 $
#
# Conditional build:
%bcond_with	ext2undel	# with ext2 undelete fs
%bcond_without	perl_vfs	# without perl depending vfs'es -- to avoid perl autoreq
%bcond_with	samba		# with SAMBA vfs support
%bcond_without	x		# without text edit in X support
%bcond_with	utf8		# utf8
#
Summary:	A user-friendly file manager and visual shell
Summary(de):	Visuelle Shell Midnight Commander
Summary(es):	Interpretador de comandos visual Midnight Commander
Summary(fr):	Un gestionnaire de fichiers puissant et agrable en mode console
Summary(ja):	Ȥ䤹եޥ͡ȥӥ奢륷
Summary(pl):	Midnight Commander - powoka wizualna
Summary(pt_BR):	Interpretador de comandos visual Midnight Commander
Summary(ru):	  Midnight Commander
Summary(tr):	Midnight Commander grsel kabuu
Summary(uk):	 ̦ Midnight Commander
Summary(zh_CN):	һʵõļShell
Name:		mc
Version:	4.6.1
Release:	8
License:	GPL
Group:		Applications/Shells
Source0:	http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/%{name}-%{version}.tar.gz
# Source0-md5:	18b20db6e40480a53bac2870c56fc3c4
Source1:	%{name}serv.pamd
Source2:	%{name}serv.init
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	17d7b574e1b85ad6f8ddceda9e841f19
# Changelogs for Advanced Midnight Commander patches
Source4:	http://www1.mplayerhq.hu/~arpi/amc/a%{name}-1.txt
# NoSource4-md5:	bcf001d40a63f15848a3763cf5e29f6d
Source5:	http://www1.mplayerhq.hu/~arpi/amc/a%{name}-2.txt
# NoSource5-md5:	4f69a9856931d562fb5f942a8093e577
Source6:	%{name}serv.sysconfig
Source7:	%{name}.desktop
Source8:	%{name}.png
Patch0:		%{name}-rpmfs.patch
Patch1:		%{name}-spec-syntax.patch
Patch2:		%{name}-urar.patch
Patch3:		%{name}-srpm.patch
Patch4:		%{name}-home_etc2.patch
Patch5:		%{name}-pl.patch
# Advanced Midnight Commander patches
#changed from:	http://www1.mplayerhq.hu/~arpi/amc/amc-1.diff
Patch6:		a%{name}-1.diff
#changed from:	http://www1.mplayerhq.hu/~arpi/amc/amc-2.diff
Patch7:		a%{name}-2.diff
Patch8:		%{name}-mc.ext.patch
Patch9:		%{name}-mo.patch
Patch10:	%{name}-localenames.patch
Patch11:	%{name}-noperl-vfs.patch
# at now syntax highligthing for PLD-update-TODO and CVSROOT/users
Patch12:	%{name}-pld-developerfriendly.patch
# http://www.suse.de/~nadvornik/mc.html
Patch13:	%{name}-utf8.patch
Patch14:	%{name}-slang2.patch
Patch15:	%{name}-64bit.patch
Patch16:	%{name}-fish-upload.patch
Patch17:	%{name}-nolibs.patch
Patch18:	%{name}-ftpcrash.patch
Patch19:	%{name}-symcrash.patch
Patch20:	%{name}-uglydir.patch
Patch21:	%{name}-userhost.patch
Patch22:	%{name}-utf8-view.patch
Patch23:	%{name}-bash-3.2.patch
URL:		http://www.ibiblio.org/mc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	indent
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%if %{with utf8}
BuildRequires:	slang-devel >= 1:2.0.0
%endif
%ifnarch s390 s390x
BuildRequires:	gpm-devel
%endif
%{?with_x:BuildRequires:	XFree86-devel}
%{?with_ext2undel:BuildRequires:	e2fsprogs-devel}
# Needed? %%{?with_perl_vfs:Requires:	perl-base}
Requires:	file
Requires:	pam >= 0.77.3
Requires:	sed
Requires:	setup >= 2.4.6-2
Obsoletes:	tkmc
Conflicts:	rpm < 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
Midnight Commander is a visual shell much like a file manager, only
with way more features. It is text mode, but also includes mouse
support if you are running GPM. Its coolest feature is the ability to
FTP, view tar, zip files, and poke into RPMs for specific files. :-)

%description -l de
Midnight Commander ist ein Visual-Shell, hnlich einem Dateimanager,
aber mit zustzlichen Funktionen. Es luft im Textmodus, kann jedoch
eine Maus untersttzen, wenn GPM betrieben wird. Seine coolsten
Fhigkeiten sind die FTP-Option, das Einsehen von tar- und zip-Dateien
und das Herausfischen von spezifischen Dateien aus RPMs.

%description -l es
Midnight Commander es un interpretador de comandos visual que ms
parece un administrador de archivos, solamente con varias
caractersticas a ms. Es un programa en modo texto, pero incluye
soporte para ratn, si estuviera ejecutando GPM o en una ventana
xterm. Su caracterstica ms genial es la habilidad de cotillear en
RPMs buscando archivos especficos. :-)

%description -l fr
Midnight Commander est une interface pour la ligne de commande qui
tient beaucoup du gestionnaire de fichiers, mais est bien plus
puissant. Il fonctionne en mode console (texte), mais peut tre
contrl  la souris si GPM est prsent. Ses caractristiques les plus
remarquables sont la possibilit de se connecter  un serveur FTP, de
visualiser des archives tar, de compresser des fichiers avec zip, de
rcuprer des fichiers dans les packages RPM, et tout ceci simplement.

%description -l ja
Midnight Commander Ϥʵǽäեޥ͡
ӥ奢륷Ǥϥƥȥ⡼ɤΥץꥱǤ
GPM ȤäƤ硢ޥȤޤ Midnight Commander ˤϡ FTP
³Ǥꡢ tar  zip  RPM 椬ʤɡʵǽ
ޤ

%description -l pl
Midnight Commander jest wizualn powok podobn do Norton Commandera.
Pracuje w trybie tekstowym, ale ma take wspomaganie dla myszki. Jest
super ;) MC ma wbudowanego klienta FTP, moe zaglda do
skompresowanego archiwum tarowego, do *.zip oraz *.rpm. Teraz rwnie
pracuje z urzdzeniami /dev/pts/{0-2048} - standard Unix98.

%description -l pt_BR
Midnight Commander  um interpretador de comandos visual que mais
parece um gerenciador de arquivos, somente com vrias caractersticas
a mais. Ele  um programa de modo texto, mas inclui suporte para mouse
se voc estiver rodando GPM ou em uma janela xterm. Sua caracterstica
mais legal  a habilidade de bisbilhotar em RPMs procurando arquivos
especficos. :-)

%description -l tr
Midnight Commander bir dosya yneticisine ok benzeyen ancak daha
yetenekli bir grsel kabuktur. Metin ekranda alr ve GPM
alyorsa fare destei vardr. En ho zellikleri FTP yapabilmesi,
tar, zip ve RPM dosyalarnn ieriklerini gsterebilmesidir.

%package -n mcserv
Summary:	Server for the Midnight Commander network file management system
Summary(de):	Midnight Commander File-Server
Summary(es):	Servidor de archivos del Midnight Commander
Summary(fr):	Serveur rseau pour le gestionnaire de fichiers Midnight Commander
Summary(ja):	Midnight Commander ǥͥåȥեޥ͡ȤԤ
Summary(pl):	Serwer plikw Midnight Commandera
Summary(pt_BR):	Servidor de arquivos do Midnight Commander
Summary(ru):	Midnight Commander -
Summary(tr):	Midnight Commander dosya sunucusu
Summary(uk):	Midnight Commander -
Summary(zh_CN):	mc ļϵͳķ
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.66
Requires:	portmap
Requires:	rc-scripts

%description -n mcserv
The Midnight Commander file management system will allow you to
manipulate the files on a remote machine as if they were local. This
is only possible if the remote machine is running the mcserv server
program. Mcserv provides clients running Midnight Commander with
access to the host's file systems.

%description -n mcserv -l de
mcserv ist das Server-Programm fr das Netzwerkdateisystem Midnight
Commander. Es ermglicht den Zugriff auf das Host-Dateisystem fr
Clients, die das Midnight-Dateisystem ausfhren (z.Zt. nur Midnight
Commander file manager).

%description -n mcserv -l es
Mcserv es un servidor para el sistema de archivos en red del Midnight
Commander. Permite que clientes usando el mc accedan remotamente al
sistema de archivos de la mquina en que est ejecutando.

%description -n mcserv -l fr
Le systme de gestion de fichier Midnight Commander vous permet de
manipuler des fichiers sur une machine distante comme si ils taient
sur votre propre machine. Ceci est possible seulement si la machine
distante possde le programme mcserv et que celui-ci est activ.
Mcserv apporte aux machines clientes qui font tourner Midnight
Commander un accs aux fichiers situs sur l'hte.

%description -n mcserv -l ja
Midnight Commander
Υեƥϡ⡼ȥޥˤե
ˤ뤫Τ褦˰ȤǤޤεǽ mcserv
ץ ¹ԤƤ⡼ȥޥФƤΤƯޤ Mcserv
 Midnight Commander
饤ȤФơΥۥȤΥե륷ƥ󶡤ޤ

%description -n mcserv -l pl
Mcserv jest aplikacj dla sieciowego systemu plikw Midnight
Commandera. Pozwala na dostp do systemu plikw dla klienta
pracujcego pod MC i uywajcego jego systemu plikw.

%description -n mcserv -l pt_BR
Mcserv  um servidor para o sistema de arquivos em rede do Midnight
Commander. Ele permite que clientes usando o mc acessem remotamente o
sistema de arquivos da mquina em que est rodando.

%description -n mcserv -l ru
mcserv -        Midnight
Commander.       
,    Midnight Commander (
    Midnight Commander).

%description -n mcserv -l tr
mcserv, Midnight Commander a dosya sisteminin sunucu programdr.
Midnight dosya sistemini altran istemcilerin sunucu dosya
sistemine eriimini salar.

%description -n mcserv -l uk
mcserv -     ϧ ϧ  Midnight
Commander.  դ   צϧ ϧ 
̦,  Ц   Midnight Commander (ڦ
Ԧ  Midnight Commander).

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -f vfs/extfs/{rpm,srpm}
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%{!?with_perl_vfs:%patch11 -p1}
%patch12 -p1
%if %{with utf8}
%patch13 -p1
%patch14 -p1
%endif
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%{?with_utf8:%patch22 -p1}
%patch23 -p1

mv -f po/{no,nb}.po

%if %{with utf8}
# convert files in /lib to UTF-8
cd lib
for i in mc.hint mc.hint.es mc.hint.it mc.hint.nl; do
  iconv -f iso-8859-1 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

for i in mc.hint.cs mc.hint.hu mc.hint.pl; do
  iconv -f iso-8859-2 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

for i in mc.hint.sr mc.menu.sr; do
  iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

iconv -f koi8-r -t utf8 < mc.hint.ru > mc.hint.ru.tmp
mv -f mc.hint.ru.tmp mc.hint.ru
iconv -f koi8-u -t utf8 < mc.hint.uk > mc.hint.uk.tmp
mv -f mc.hint.uk.tmp mc.hint.uk
iconv -f big5 -t utf8 < mc.hint.zh > mc.hint.zh.tmp
mv -f mc.hint.zh.tmp mc.hint.zh
cd ..


# convert man pages in /doc to UTF-8
cd doc

cd ru
for i in mc.1.in xnc.hlp; do
  iconv -f koi8-r -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done
cd ..

cd sr
for i in mc.1.in mcserv.8.in xnc.hlp; do
  iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done
cd ..

for d in es it; do
  for i in mc.1.in xnc.hlp; do
    iconv -f iso-8859-3 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
    mv -f ${d}/${i}.tmp ${d}/${i}
  done
done

for d in hu pl; do
  for i in mc.1.in xnc.hlp; do
    iconv -f iso-8859-2 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
    mv -f ${d}/${i}.tmp ${d}/${i}
  done
done
cd ..
%endif

sed -i 's:|hxx|:|hh|hpp|hxx|:' syntax/Syntax

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
X11_WWW="
if [ -f /usr/bin/netscape ]; then
	netscape;
else
	if [ -f /usr/bin/galeon ]; then
		galeon
	else
		if [ -f /usr/bin/mozilla ]; then
			mozilla
		else
			xterm -c lynx
		fi;
	fi;
fi"

%if %{with utf8}
CFLAGS="-DUTF8"
export CFLAGS
%endif
%configure \
	--enable-charset \
	--with%{!?debug:out}-debug \
	--with%{!?with_ext2undel:out}-ext2undel \
	--with%{!?with_x:out}-x \
	--with-vfs \
	--with-mcfs \
	%{?with_samba:--with-samba} \
	--with-configdir=/etc/samba \
	--with-codepagedir=/etc/samba/codepages \
	--with-gpm-mouse \
	--with-screen=%{?!with_utf8:mc}slang \
	--with-edit

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,shrc.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/mcserv.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/mcserv
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mcserv
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/mcserv
install %{SOURCE7} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE8} $RPM_BUILD_ROOT%{_pixmapsdir}

for a in es pl ; do
	for b in man1 man8 ; do
		install -d $RPM_BUILD_ROOT%{_mandir}/{$a,$a/$b}
		for c in man/$a/$b/* ; do
			install $c $RPM_BUILD_ROOT%{_mandir}/$a/$b
		done
	done
done

install lib/{mc.sh,mc.csh} $RPM_BUILD_ROOT/etc/shrc.d

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n mcserv
/sbin/chkconfig --add mcserv
%service mcserv restart "mcserv daemon"

%preun -n mcserv
if [ "$1" = "0" ]; then
	%service mcserv stop
	/sbin/chkconfig --del mcserv
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ NEWS README
%attr(755,root,root) %{_bindir}/mc*
%config /etc/shrc.d/*
%attr(755,root,root) %{_libdir}/mc/cons.saver
%dir %{_libdir}/mc

%dir %{_datadir}/mc

%{_datadir}/mc/bin
%{_datadir}/mc/syntax

%{_datadir}/mc/mc.ext
%{_datadir}/mc/cedit*
%{_datadir}/mc/edit.*
%{_datadir}/mc/mc.hlp
%lang(es) %{_datadir}/mc/mc.hlp.es
%lang(hu) %{_datadir}/mc/mc.hlp.hu
%lang(it) %{_datadir}/mc/mc.hlp.it
%lang(pl) %{_datadir}/mc/mc.hlp.pl
%lang(ru) %{_datadir}/mc/mc.hlp.ru
%lang(sr) %{_datadir}/mc/mc.hlp.sr
%{_datadir}/mc/mc.lib
%{_datadir}/mc/mc.menu
%lang(sr) %{_datadir}/mc/mc.menu.sr
%{_datadir}/mc/mc.hint
%lang(cs) %{_datadir}/mc/mc.hint.cs
%lang(es) %{_datadir}/mc/mc.hint.es
%lang(hu) %{_datadir}/mc/mc.hint.hu
%lang(it) %{_datadir}/mc/mc.hint.it
%lang(nl) %{_datadir}/mc/mc.hint.nl
%lang(pl) %{_datadir}/mc/mc.hint.pl
%lang(ru) %{_datadir}/mc/mc.hint.ru
%lang(sr) %{_datadir}/mc/mc.hint.sr
%lang(uk) %{_datadir}/mc/mc.hint.uk
%lang(zh) %{_datadir}/mc/mc.hint.zh

%dir %{_datadir}/mc/extfs
%{_datadir}/mc/extfs/README
%{_datadir}/mc/extfs/extfs.ini
%{_datadir}/mc/extfs/sfs.ini
%if %{with perl_vfs}
%attr(755,root,root) %{_datadir}/mc/extfs/a
%attr(755,root,root) %{_datadir}/mc/extfs/apt
%attr(755,root,root) %{_datadir}/mc/extfs/deb*
%attr(755,root,root) %{_datadir}/mc/extfs/dpkg
#%attr(755,root,root) %{_datadir}/mc/extfs/ftplist
%attr(755,root,root) %{_datadir}/mc/extfs/mailfs
%attr(755,root,root) %{_datadir}/mc/extfs/patchfs
%attr(755,root,root) %{_datadir}/mc/extfs/rpms
#%attr(755,root,root) %{_datadir}/mc/extfs/ucpio
%attr(755,root,root) %{_datadir}/mc/extfs/uzip
%endif
%attr(755,root,root) %{_datadir}/mc/extfs/audio
%attr(755,root,root) %{_datadir}/mc/extfs/bpp
%attr(755,root,root) %{_datadir}/mc/extfs/hp48
%attr(755,root,root) %{_datadir}/mc/extfs/iso9660
%attr(755,root,root) %{_datadir}/mc/extfs/lslR
%attr(755,root,root) %{_datadir}/mc/extfs/rpm
%attr(755,root,root) %{_datadir}/mc/extfs/trpm
%attr(755,root,root) %{_datadir}/mc/extfs/uar*
%attr(755,root,root) %{_datadir}/mc/extfs/uha
%attr(755,root,root) %{_datadir}/mc/extfs/ulha
%attr(755,root,root) %{_datadir}/mc/extfs/urar
%attr(755,root,root) %{_datadir}/mc/extfs/uesp
%attr(755,root,root) %{_datadir}/mc/extfs/uzoo
%attr(755,root,root) %{_datadir}/mc/extfs/srpm
%{_desktopdir}/mc.desktop
%{_pixmapsdir}/mc.png

%{_datadir}/mc/mc.charsets

%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*

%files -n mcserv
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*

%attr(754,root,root) /etc/rc.d/init.d/mcserv
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mcserv
%{_mandir}/man8/mcserv.8*
%lang(es) %{_mandir}/es/man8/mcserv.8*
%lang(pl) %{_mandir}/pl/man8/mcserv.8*
%lang(sr) %{_mandir}/sr/man8/mcserv.8*
%attr(755,root,root) %{_sbindir}/mcserv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mc.spec,v $
Revision 1.228.2.3  2006/11/08 22:56:08  hawk
- merged bash-3.2.patch from HEAD
- release 8

Revision 1.228.2.2  2006/07/31 09:58:55  shadzik
- R: sed (mc-wrapper.sh needs it)
- rel 7; STBR

Revision 1.228.2.1  2006/05/22 20:45:05  glen
- use %service; rel 6

Revision 1.228  2005/12/26 16:17:06  hawk
- release 5

Revision 1.227  2005/12/19 19:56:39  qboosh
- no need to specify default attr

Revision 1.226  2005/12/16 07:56:05  pluto
- highlight more c++ headers.

Revision 1.225  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.224  2005/11/05 00:21:23  gotar
- disabled utf stuff by default (broken editing), release 4, STBR

Revision 1.223  2005/10/18 12:49:28  arekm
- apply only when utf8 is enabled

Revision 1.222  2005/10/18 06:38:33  arekm
- add hack to show iso8859-2 in view in nonunicode locale

Revision 1.221  2005/10/15 12:32:48  arekm
- memory leak fixes in utf8 patch

Revision 1.220  2005/10/03 06:09:59  qboosh
- slang epoch

Revision 1.219  2005/09/19 22:01:56  arekm
- rel 3; use utf8 patch from fc; apply some fixes from fc (64bit stat; fish update; ftp crash fix...)

Revision 1.218  2005/09/19 20:45:11  arekm
- slang2 support; utf8 enabled by default

Revision 1.217  2005/08/07 09:56:15  pascalek
- Release 1
- updated pl patch
- STBR

Revision 1.216  2005/08/06 22:46:16  pascalek
- fixed my md5sum mistake

Revision 1.215  2005/08/06 22:40:20  pascalek
- Relase 0.10; utf8 patch for 4.6.1

Revision 1.214  2005/07/27 18:56:36  blues
- release 0.9 - builds, works now, only pl.patch left (not for me).

Revision 1.213  2005/07/26 11:47:06  arekm
- final 4.6.1

Revision 1.212  2005/06/13 13:12:14  blues
- most of patches updated, 2 left

Revision 1.211  2005/06/13 10:04:56  blues
- tempfile.patch inculded into sources

Revision 1.210  2005/06/10 15:13:17  blues
- part of patches updated

Revision 1.209  2005/06/10 14:23:33  blues
- 4.6.1pre4 - only fetch sources

Revision 1.208  2005/06/10 13:26:23  blues
- fixed amc-1.patch. Works now

Revision 1.207  2005/06/10 10:35:05  blues
- updated amc-1 patch

Revision 1.206  2004/12/15 12:25:10  qrczak
- Added /usr/share/mc/mc.charsets which has appeared in mc

Revision 1.205  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.204  2004/10/24 12:07:59  paladine
- ftp->FTP

Revision 1.203  2004/09/13 09:02:46  gotar
- enabled support for charset selection and conversion

Revision 1.202  2004/07/23 19:01:37  qboosh
- added nolibs patch

Revision 1.201  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.200  2004/06/06 22:14:22  arekm
- 4.6.1 pre1 (warns when running mc in mc; XFree libs are dlopened; uses pipes instead of sockets); nfy

Revision 1.199  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.198  2004/04/28 11:46:06  havner
- R: setup >= 2.4.6-2
- mc.sh,mc.csh -> /etc/shrc.d

Revision 1.197  2004/04/23 09:24:22  qboosh
- removed BR popt-devel

Revision 1.196  2004/04/23 09:23:07  qboosh
- removed system_popt patch (no longer possible, mc uses modified popt;
  testcase: mc --help)
- renumbered patches, release 19

Revision 1.195  2004/04/04 23:14:38  gotar
- removed other kloczkish fuckup

Revision 1.194  2004/03/26 09:37:24  gotar
- release 18 to rebuild with fixed mc.ext patch

Revision 1.193  2004/02/11 03:19:05  pzurowski
- mc-pld-developerfriendly.patch added - some visual improvments (maybe there will be more in future)

Revision 1.192  2004/02/06 20:37:30  pzurowski
- without bcond "perl_vfs" added - to avoid perl autoreq

Revision 1.191  2004/02/02 15:04:39  qboosh
- added CAN-2003-1023 (BTS#815) and tempfile security patches
- added localenames patch, rename no->nb
- release 17

Revision 1.190  2004/01/30 23:43:35  arekm
- use posix sort/head syntax; rel 16

Revision 1.189  2004/01/27 14:23:51  jajcus
- %install fixes

Revision 1.188  2004/01/19 13:45:51  gotar
- updated sequences patch, release 14

Revision 1.187  2003/11/21 23:30:37  baggins
- release 13
- kosher mc-mo patch, made it a config option

Revision 1.186  2003/11/21 20:07:32  baggins
- release 12
- mo patch back to good old behaviour

Revision 1.185  2003/10/15 10:13:04  qboosh
- don't use distfiles for plain text files (amc changelogs)

Revision 1.184  2003/10/10 05:54:36  witekfl
- added home_etc2.patch with support for $HOME_ETC
- Release 11

Revision 1.183  2003/09/27 07:12:51  gotar
- rel. 10 for fixed mo patch

Revision 1.182  2003/09/26 14:23:27  baggins
- release 9

Revision 1.181  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.180  2003/09/09 17:41:21  baggins
- release 8
- mc-mo patch is back, this time alt-o works as in old versions before
  maintainers screwed it with a little help from mmazur

Revision 1.179  2003/09/07 19:39:13  gotar
- added more xterm sequences,
- release 7.

Revision 1.178  2003/09/07 18:53:17  gotar
- fixed desktopdir location

Revision 1.177  2003/09/07 18:30:26  gotar
- fixed ja description of mcserv subpackage

Revision 1.176  2003/09/06 21:18:26  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.175  2003/08/01 08:42:46  gotar
- fixed bashism in audiofs,
- release 6.

Revision 1.174  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.173  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.172  2003/06/25 19:41:49  gotar
- BR: rpm-perlprov

Revision 1.171  2003/06/25 16:48:15  gotar
- fixed building

Revision 1.170  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.169  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.168  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.167  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.166  2003/05/02 13:15:56  gotar
- BR: pkgconfig

Revision 1.165  2003/04/27 23:30:16  kloczek
- relase 5: more fixes in mc.ext patch for correct handle spaces in file names
  and final fixes for correct view patches on F3.
